fop 2.3

## org.apache.fop.render.pcl.fonts.truetype
Class PCLTTFTable

    java.lang.Object
      org.apache.fop.render.pcl.fonts.truetype.PCLTTFTable

Direct Known Subclasses:
  PCLTTFOS2FontTable, PCLTTFPCLTFontTable, PCLTTFPOSTFontTable

    public class PCLTTFTable

extends java.lang.Object

Field Summary
`protected FontFileReader` `reader`

Constructor Summary
`PCLTTFTable(FontFileReader reader)`

Method Summary
`protected void` `skipByte(FontFileReader reader, int skips)`
`protected void` `skipLong(FontFileReader reader, int skips)`
`protected void` `skipShort(FontFileReader reader, int skips)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### reader

    protected FontFileReader reader

Constructor Detail

### PCLTTFTable

    public PCLTTFTable(FontFileReader reader)

Method Detail

### skipShort

    protected void skipShort(FontFileReader reader,
                             int skips)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### skipLong

    protected void skipLong(FontFileReader reader,
                            int skips)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### skipByte

    protected void skipByte(FontFileReader reader,
                            int skips)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.